javax.xml.registry.infomodel

## Interface Concept

- All Superinterfaces:
    ExtensibleObject, RegistryObject

      public interface Concept
      extends RegistryObject

  The Concept interface is used to represent taxonomy elements and their structural relationship with each other in order to describe an internal taxonomy. Concept instances are used to define tree structures where the root of the tree is a ClassificationScheme instance and each node in the tree is a Concept instance. Two Concepts may be defined as being equivalent.

  Figure 1 shows how Concept instances are used to represent taxonomy elements and their structural relationship with each other in order to describe an internal taxonomy.

  Figure 1. Using Concepts to Represent Taxonomy Elements
  Author:
    Farrukh S. Najmi
  See Also:
    `RegistryObject`, `Classification`, `ClassificationScheme`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildConcept(Concept concept)` Adds a child Concept.
    `void` | `addChildConcepts(Collection concepts)` Adds a Collection of Concept children.
    `int` | `getChildConceptCount()` Gets number of children.
    `Collection` | `getChildrenConcepts()` Gets all immediate children Concepts.
    `ClassificationScheme` | `getClassificationScheme()` Gets the ClassificationScheme that this Concept is a descendent of.
    `Collection` | `getDescendantConcepts()` Gets all descendant Concepts.
    `RegistryObject` | `getParent()` Gets the parent Concept or ClassificationScheme for this object.
    `Concept` | `getParentConcept()` Gets the parent Concept or null if parent is a ClassificationScheme.
    `String` | `getPath()` Gets the canonical path representation for this Concept.
    `String` | `getValue()` Gets the value (usually a code in a taxonomy) associated with this Concept.
    `void` | `removeChildConcept(Concept concept)` Removes a child Concept.
    `void` | `removeChildConcepts(Collection concepts)` Removes a Collection of children Concepts.
    `void` | `setValue(String value)` Sets the value (usually a taxonomy value) associated with this Concept.

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryObject

      `addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

- - ### Method Detail

    - #### getValue

          String getValue()
                          throws JAXRException

      Gets the value (usually a code in a taxonomy) associated with this Concept.

      Capability Level: 0
      Returns:
        the value (usually a taxonomy value) associated with this Concept
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setValue

          void setValue(String value)
                        throws JAXRException

      Sets the value (usually a taxonomy value) associated with this Concept.

      Capability Level: 0
      Parameters:
        `value` - the value (usually a taxonomy value) associated with this Concept
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### addChildConcept

          void addChildConcept(Concept concept)
                               throws JAXRException

      Adds a child Concept.

      Capability Level: 0
      Parameters:
        `concept` - the concept being added as a child of this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### addChildConcepts

          void addChildConcepts(Collection concepts)
                                throws JAXRException

      Adds a Collection of Concept children.

      Capability Level: 0
      Parameters:
        `concepts` - the Collection of Concepts being added as a children of this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### removeChildConcept

          void removeChildConcept(Concept concept)
                                  throws JAXRException

      Removes a child Concept.

      Capability Level: 0
      Parameters:
        `concept` - the concept being removed as a child Concept of this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### removeChildConcepts

          void removeChildConcepts(Collection concepts)
                                   throws JAXRException

      Removes a Collection of children Concepts.

      Capability Level: 0
      Parameters:
        `concepts` - the Collection of Concepts being removed as children Concepts of this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getChildConceptCount

          int getChildConceptCount()
                                   throws JAXRException

      Gets number of children.

      Capability Level: 0
      Returns:
        the number of children Concepts
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getChildrenConcepts

          Collection getChildrenConcepts()
                                         throws JAXRException

      Gets all immediate children Concepts.

      Capability Level: 0
      Returns:
        Collection of Concept instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `Concept`

    - #### getDescendantConcepts

          Collection getDescendantConcepts()
                                           throws JAXRException

      Gets all descendant Concepts.

      Capability Level: 0
      Returns:
        Collection of Concept instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `Concept`

    - #### getParentConcept

          Concept getParentConcept()
                                   throws JAXRException

      Gets the parent Concept or null if parent is a ClassificationScheme.

      Capability Level: 0
      Returns:
        the Concept that is the parent of this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getClassificationScheme

          ClassificationScheme getClassificationScheme()
                                                       throws JAXRException

      Gets the ClassificationScheme that this Concept is a descendent of.

      Capability Level: 0
      Returns:
        the ClassificationScheme that is the ancestor of this object. May return null
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getPath

          String getPath()
                         throws JAXRException

      Gets the canonical path representation for this Concept.

      Capability Level: 0
      Returns:
        the canonical path String representing this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getParent

          RegistryObject getParent()
                                   throws JAXRException

      Gets the parent Concept or ClassificationScheme for this object.

      Capability Level: 0
      Returns:
        the parent Concept or ClassificationScheme for this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.